/*
 * FechaOtraColumnaMayorAOtraColumnaFechaDependiente.java
 *
 * Created on 23 de marzo de 2007, 07:49 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author jsolano
 */
public class FechaOtraColumnaMayorAOtraColumnaFechaDependiente extends
		AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.

	/** Creates a new instance of CampoVacio */
	public FechaOtraColumnaMayorAOtraColumnaFechaDependiente() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {
			String FechaColumna11 = registro[new Integer(
					(String) getParams()[2]).intValue()];
			String FechaColumna12 = registro[new Integer(
					(String) getParams()[3]).intValue()];
			Date dateCampo = null;
			Date dateOtra = null;

			if (!ValidarFecha.esFecha(FechaColumna11)
					|| !ValidarFecha.esFecha(FechaColumna12))
				return false;

			try {
				dateCampo = sdf.parse(FechaColumna11);
				dateOtra = sdf.parse(FechaColumna12);
			} catch (Exception e) {
				return false;
			}

			if (dateCampo.after(dateOtra)) {
				return true;
			}

			return false;

		}
		return false;
	}
}
